import { Observer } from "jalhyd";
import { SelectField } from "../../select-field";
import { FormulaireBase } from "./form-base";

export class FormulaireLechaptCalmon extends FormulaireBase implements Observer {

    protected completeParse(json: {}) {
        super.completeParse(json);
        // abonnement au changement de valeur du select de matériau
        this.getFormulaireNodeById("select_material").addObserver(this);
    }

    // interface Observer

    public update(sender: any, data: any) {
        // en cas de changement de valeur du select de matériau, effacement des résultats et MAJ des champs L,M,N
        if (sender instanceof SelectField) {
            if (data.action === "select") {
                this.reset();
            }
        }
    }
}
